Virtuoso 6.1 upgrade crashes nepomuk

Bug #631102 reported by doctordruidphd on 2010-09-05
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Kubuntu PPA
Undecided
Alessandro Ghersi
virtuoso-opensource (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: virtuoso-opensource-6.1

System: kubuntu lucid 10.04, all current updates applied.

BEFORE the upgrade:
I have virtuoso-opensource-6.0 installed. When I start the system, the version of virtuoso-t installed by virtuoso-nepomuk loads, and nepomuk runs properly. To use the virtuoso datbases, I kill virtuoso, then re-run it from the virtuoso-opensource directory, and virtuoso works properly, but nepomuk does not. This is the "normal" behavior.

AFTER the upgrade:
Problem: After applying the upgrade to virtuoso-opensource-6.1 that is currently available from the repositories, the virtuoso-opensource server starts on bootup -- conductor is available. However, all of my databases, passwords, etc have been removed.
Also, nepomuk fails to work. After logging in to kde, I get an error box saying:

-----------------------------------
Nepomuk Indexing Agents Have Been Disabled
The Nepomuk service is not available or fully operational and attempts to rectify this have failed. Therefore indexing of all data stored in the Akonadi PIM service has been disabled, which will severely limit the capabilities of any application using this data.

The following problems were detected:
Calling the Nepomuk storage service failed: 'The name org.kde.NepomukStorage was not provided by any .service files'.
Additional help can be found here: userbase.kde.org/Akonadi

-----------------------------------

If I try to start strigi fom SystemSettings > Desktop Search, I get an error box saying:

-----------------------------------
Nepomuk Indexing Agents Have Been Disabled
The Nepomuk service is not available or fully operational and attempts to rectify this have failed. Therefore indexing of all data stored in the Akonadi PIM service has been disabled, which will severely limit the capabilities of any application using this data.

The following problems were detected:
Nepomuk is not running.
Additional help can be found here: userbase.kde.org/Akonadi
-----------------------------------

In both cases, akonadi is still running.
Searching from Dolphin does not work.

Killing and restarting nepomukserver from the terminal produces this:

----------------------------
greenman@Wolfenstein:~$ pkill nepomukserver
greenman@Wolfenstein:~$ nepomukserver
QMetaObject::invokeMethod: No such method KUniqueApplication::loadCommandLineOptionsForNewInstance()
greenman@Wolfenstein:~$ [/usr/bin/nepomukservicestub] Using Virtuoso Version: "6.1.2.3127-pthreads"
Using Virtuoso Version: "6.1.2.3127-pthreads"
void Soprano::VirtuosoController::writeConfigFile(const QString&, const Soprano::BackendSettings&) "/tmp/virtuoso_h14940.ini"
Starting Virtuoso server: "/usr/bin/virtuoso-t" ("+foreground", "+configfile", "/tmp/virtuoso_h14940.ini", "+wait")
[/usr/bin/nepomukservicestub] "
"
[/usr/bin/nepomukservicestub] " Sun Sep 05 2010
"
"13:19:12 OpenLink Virtuoso Universal Server
"
"13:19:12 Version 06.01.3127-pthreads for Linux as of Sep 4 2010
"
[/usr/bin/nepomukservicestub] "13:19:12 uses parts of OpenSSL, PCRE, Html Tidy
"
[/usr/bin/nepomukservicestub] "13:19:12 Database version 3126
"
[/usr/bin/nepomukservicestub] "13:19:12 Entering Lite Mode
"
"13:19:12 SQL Optimizer enabled (max 1000 layouts)
"
[/usr/bin/nepomukservicestub] "13:19:13 Compiler unit is timed at 0.000640 msec
"
[/usr/bin/nepomukservicestub] "13:19:13 Roll forward started
"
[/usr/bin/nepomukservicestub] "13:19:13 The transaction log file has been produced by server version '06.01.3126'. The version of this server is '06.01.3127'. If the transaction log is empty or you do not want to replay it then delete it and start the server again. Otherwise replay the log using the server of version '06.01.3126' and make checkpoint and shutdown to ensure that the log is empty, then delete it and start using new version.
"
"13:19:13 Server exiting
"
[/usr/bin/nepomukservicestub] Virtuoso server stopped: 3
[/usr/bin/nepomukservicestub] "/usr/bin/nepomukservicestub(14940)" Soprano: "Failed to start Virtuoso"
"/usr/bin/nepomukservicestub(14940)" Soprano: "Failed to start Virtuoso"
Application '/usr/bin/nepomukservicestub nepomukstorage' exited normally...
--------------------------------------

I still have a backup version of the system prior to the upgrade, and a version after the upgrade, so I can work on both.

Changed in virtuoso-opensource (Ubuntu):
status: New → Invalid
Changed in kubuntu-ppa:
assignee: nobody → Alessandro Ghersi (alessandro-ghersi)
doctordruidphd (doctordruidphd) wrote :

Possible fix:

Remove the file
 ~/.kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.trx
Evidently this is not compatible with the new virtuoso-t.
Also removed
/var/lib/virtuoso-opensource-6.1/db

Lost all the data, but I lost all that upgrading from 6.0 -> 6.1 anyway.

Rebooted, now nepomuk works, and virtuoso conductor works. There are two virtuoso processes, one for nepomuk and another for the regular database, and both seem to be coexisting.

Works in both Maverick and Lucid.

jefferson159 (flanello) wrote :

Another possible fix:

stop nepomuk

Remove the file
~/.kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.trx

restart nepomuk

It worked for me without data loss

@jefferson159: Seems this "fix" worked for me too. Thank you :-)

tags: added: lucid

This bug-report is about a version that has reached status=End-of-life-cycle/unsupported.

This bug was fixed in a newer version of Kubuntu.

If you find any annoying bugs in life-cycle=supported versions of Kubuntu, don't hesistate to report them.

If you cannot comply with closing this bug-report, please feel free to reopen it.

Thanks & regards

Changed in kubuntu-ppa:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers